EDTECH News


DiscussionStarted byRepliesLast post
New Elective Class -- Varsity eSports EdTech 560 Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Tue, Oct 9, 2018, 2:37 PM
Northwest eLearn Patrick LowenthalPatrick Lowenthal 0 Patrick Lowenthal
Tue, Oct 9, 2018, 12:07 AM
EdTech 511 - moved to spring Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Wed, Oct 3, 2018, 1:41 PM
[Short Survey] Sense of Community Dissertation Picture of Shannon SkelcherShannon Skelcher 0 Shannon Skelcher
Sat, Sep 29, 2018, 9:06 AM
The New Face of Moodlerooms Edtech_Moodle_supportMoodle Support 0 Moodle Support
Fri, Sep 28, 2018, 4:24 PM
Course Schedule Changes Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Fri, Sep 21, 2018, 2:37 PM
Upcoming EdD/EDTECH Dissertation Defense RPDr. Ross Perkins 0 Dr. Ross Perkins
Mon, Sep 10, 2018, 8:43 AM
Reminder for Ongoing Students - Please Read! PaulPaul Castelin 0 Paul Castelin
Tue, Aug 28, 2018, 6:23 PM
The Learning Accelerator Research Fellowship Picture of Dr. Kerry RiceDr. Kerry Rice 0 Dr. Kerry Rice
Tue, Aug 28, 2018, 11:36 AM
Receiving too many emails from EDTECH Moodle? There's a fix for that . . . Barbara SchroederDr. Barbara Schroeder 0 Dr. Barbara Schroeder
Mon, Aug 27, 2018, 8:06 AM
College eSports: What you need to know Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Tue, Aug 21, 2018, 9:41 AM
Can’t find your Edtech Moodle Fall 2018 Course? Edtech_Moodle_supportMoodle Support 0 Moodle Support
Fri, Aug 17, 2018, 12:33 PM
WCET Members - Sally M. Johnstone Award Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Wed, Aug 15, 2018, 1:22 PM
The Job Forum Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Wed, Aug 15, 2018, 12:56 PM
Students -- Get Started with EDTECH Moodle Barbara SchroederDr. Barbara Schroeder 0 Dr. Barbara Schroeder
Wed, Aug 15, 2018, 9:32 AM
Instructors -- Open House for you tomorrow. Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Tue, Aug 14, 2018, 8:56 AM
Deadline to Apply for AAC and PPS for December 2018 Graduation PaulPaul Castelin 0 Paul Castelin
Mon, Aug 13, 2018, 10:55 AM
Final Warning! - August 17 Deadline for Portfolio for Fall 2018 PaulPaul Castelin 0 Paul Castelin
Thu, Aug 9, 2018, 2:37 PM
New Boost Theme applied to Front Page of EdTech Moodle Edtech_Moodle_supportMoodle Support 2 Dr. Barbara Schroeder
Wed, Aug 8, 2018, 12:17 PM
University Homepage Redesign Launched Today! Edtech_Moodle_supportMoodle Support 0 Moodle Support
Wed, Aug 1, 2018, 9:30 AM
Camtasia and Snaggit for $20 Picture of Joshua WatsonJoshua Watson 5 Tori Jesse
Mon, Jul 30, 2018, 12:05 PM
Fall 2018 Grads - Have you applied for Portfolio yet? PaulPaul Castelin 0 Paul Castelin
Thu, Jul 12, 2018, 10:00 AM
Call for Proposals: The Educational Technology section of the Routledge Encyclopedia of Education Patrick LowenthalPatrick Lowenthal 0 Patrick Lowenthal
Mon, Jul 9, 2018, 11:44 AM
Jackie Gerstein's presentations at ISTE Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Wed, Jun 27, 2018, 11:54 AM
Dr. Perkins Elected Division President for AECT Picture of Dixie ConnerDixie Conner 1 Jackie Gerstein, Ed.D.
Sun, Jun 24, 2018, 5:08 PM
EdTech Idaho Teacher Scholarship and Alumni Discount Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Mon, Jun 18, 2018, 4:23 PM
Call for Chapters: Universal Access Through Inclusive Instructional Design: International Perspectives on UDL Patrick LowenthalPatrick Lowenthal 0 Patrick Lowenthal
Thu, Jun 14, 2018, 4:52 PM
REMINDER: Removal of Express Theme in the 3.4 Release, July 2018 Edtech_Moodle_supportMoodle Support 0 Moodle Support
Mon, Jun 4, 2018, 10:48 AM
YouTube for Educators Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Mon, Jun 4, 2018, 9:34 AM
If you are planning to take Portfolio during Fall Term 2018... PaulPaul Castelin 0 Paul Castelin
Mon, Jun 4, 2018, 9:33 AM
Subscribe/Unsubscribe from Forums Barbara SchroederDr. Barbara Schroeder 0 Dr. Barbara Schroeder
Sat, Jun 2, 2018, 8:59 PM
EDTECH Moodle News Forums Subscriptions Barbara SchroederDr. Barbara Schroeder 0 Dr. Barbara Schroeder
Sat, Jun 2, 2018, 8:53 PM
Kellie Taylor named 2018-2019 Albert Einstein Distinguished Educator Fellows Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Fri, May 25, 2018, 2:19 PM
Reminder Moodlerooms 3.4 release to be applied - July 12th, 2018 Edtech_Moodle_supportMoodle Support 0 Moodle Support
Fri, May 25, 2018, 12:20 PM
Call for Chapters: Advanced Research and Practice in K-12 Online and Blended Learning Patrick LowenthalPatrick Lowenthal 0 Patrick Lowenthal
Tue, May 22, 2018, 9:31 AM
Graduate Research Assistant Positions DazhiDr. Dazhi Yang 0 Dr. Dazhi Yang
Mon, May 21, 2018, 12:12 PM
Dr. Ching, Dr. Hsu and Sally Baldwin Published! Picture of Dixie ConnerDixie Conner 1 Blair Mishleau
Sun, May 20, 2018, 3:58 PM
Patrick Lownthal serving as Senior Assistant Editor for the Online Learning Journal Picture of Dixie ConnerDixie Conner 1 Blair Mishleau
Sun, May 20, 2018, 9:10 AM
Jesús Trespalacios and Lisa Rodman Published! Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Thu, May 17, 2018, 11:15 AM
Dr. Snelson's Book Chapter Published! Picture of Dixie ConnerDixie Conner 1 Dr. Mary Ann Parlin
Fri, May 11, 2018, 5:15 PM
Patrick Lowenthal and others to present at AECT 2018 Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Thu, May 10, 2018, 5:05 PM
Can’t find your Edtech Moodle Summer 2018 Course? Edtech_Moodle_supportMoodle Support 0 Moodle Support
Mon, May 7, 2018, 9:28 AM
BSU ESPORTS NEWS Edtech_Moodle_supportMoodle Support 0 Moodle Support
Fri, May 4, 2018, 3:57 PM
Congratulations to Dr. Rice, Dr. Hung and Jennifer Kepka Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Tue, May 1, 2018, 5:28 PM
Login Block Added to Top Right of EDTECH Moodle Barbara SchroederDr. Barbara Schroeder 1 Moodle Support
Tue, May 1, 2018, 2:13 PM
Portfolio During Summer Term...Still on the Fence? PaulPaul Castelin 0 Paul Castelin
Tue, May 1, 2018, 12:54 PM
Still time to sign up for EDTECH 597: Rapid Course Development Patrick LowenthalPatrick Lowenthal 1 Dixie Conner
Mon, Apr 30, 2018, 2:10 PM
Outstanding Paper Award for Math Education Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Mon, Apr 30, 2018, 1:04 PM
Academic Language Acquisition One credit online course Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Fri, Apr 27, 2018, 1:23 PM
PHISHING ALERT RPDr. Ross Perkins 0 Dr. Ross Perkins
Wed, Apr 25, 2018, 9:08 AM
Preview EDTECH 513: Multmedia for Summer Barbara SchroederDr. Barbara Schroeder 2 Dr. Barbara Schroeder
Tue, Apr 24, 2018, 7:38 PM
Important Upcoming Deadlines in May 2018 Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Tue, Apr 24, 2018, 2:00 PM
Dr. Kerry Rice and Shannon Skelcher co-authors of a just released open source publication Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Tue, Apr 24, 2018, 1:27 PM
Registration for Portfolio for Fall 2018 Opens Today PaulPaul Castelin 0 Paul Castelin
Mon, Apr 2, 2018, 10:20 AM
Join Us in EDTECH 538-Maker Tech (First 7-Week Session, Summer 2018) Picture of Yu-Chang Hsu, PhDYu-Chang Hsu, PhD 0 Yu-Chang Hsu, PhD
Wed, Mar 28, 2018, 7:16 PM
Time to Register for Summer Classes! Picture of Dixie ConnerDixie Conner 2 Kim Perkins
Sun, Mar 25, 2018, 3:00 PM
Important Deadlines/Date Picture of Dixie ConnerDixie Conner 2 Dixie Conner
Wed, Mar 21, 2018, 5:41 PM
May Commencement Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Mon, Mar 12, 2018, 4:10 PM
Help a doctoral student Patrick LowenthalPatrick Lowenthal 0 Patrick Lowenthal
Wed, Mar 7, 2018, 1:23 PM
Call for Papers: Special issue call for papers on assessment and self-regulated learning Patrick LowenthalPatrick Lowenthal 0 Patrick Lowenthal
Fri, Mar 2, 2018, 6:17 PM
The time to apply is NOW! Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Thu, Feb 22, 2018, 12:07 PM
Getting Too Many Emails from EDTECH Moodle? Adjust Your Moodle Preferences Barbara SchroederDr. Barbara Schroeder 0 Dr. Barbara Schroeder
Thu, Feb 22, 2018, 8:22 AM
AECT Division of Distance Learning Webinar by Dr. Lowenthal Ching_photoDr. Yu-Hui Ching 1 Patrick Lowenthal
Wed, Feb 21, 2018, 4:20 PM
If you can't register for classes due to a hold... PaulPaul Castelin 2 Paul Castelin
Wed, Feb 21, 2018, 8:10 AM
Small Groups; how to locate? Picture of JD DukeJD Duke 7 Grace Tuttle
Sun, Feb 18, 2018, 9:04 PM
August Grads - February 27 Deadline To Submit Applications for Admission to Candidacy PaulPaul Castelin 0 Paul Castelin
Fri, Feb 16, 2018, 11:32 AM
Feb. and March Deadlines and Dates Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Thu, Feb 15, 2018, 4:20 PM
News about upcoming course schedule and number changes. Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Wed, Feb 14, 2018, 3:54 PM
Graduate Student Showcase Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Fri, Feb 9, 2018, 5:33 PM
Grad. Student Presentation Opportunity Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Fri, Feb 9, 2018, 5:32 PM
Want a new life? Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Wed, Feb 7, 2018, 11:09 AM
August 2018 Grads - Deadlines, Portfolio, and Graduation PaulPaul Castelin 0 Paul Castelin
Fri, Feb 2, 2018, 9:47 AM
Call for Papers for a special issue titled "Learning and Identity in Virtual Learning Environments." Patrick LowenthalPatrick Lowenthal 1 Randall Gwin
Thu, Feb 1, 2018, 8:53 AM
Don't use Microsoft Word to paste text into Moodle text editor Barbara SchroederDr. Barbara Schroeder 0 Dr. Barbara Schroeder
Wed, Jan 24, 2018, 7:29 AM
AECT Call for Proposals Patrick LowenthalPatrick Lowenthal 0 Patrick Lowenthal
Wed, Jan 17, 2018, 1:14 PM
Deadlines Calendar PaulPaul Castelin 0 Paul Castelin
Wed, Jan 17, 2018, 11:23 AM
January Deadlines Picture of Dixie ConnerDixie Conner 10 Dixie Conner
Tue, Jan 16, 2018, 5:51 PM
Call for papers--Special Issue On: Using Computer Simulations to Enhance and Transform Teaching and Learning Patrick LowenthalPatrick Lowenthal 0 Patrick Lowenthal
Sun, Jan 14, 2018, 11:26 AM
Reminder Moodlerooms 3.3 release to be applied - Dec. 28th, 2017 Edtech_Moodle_supportMoodle Support 1 Moodle Support
Wed, Jan 10, 2018, 4:26 PM
That HOLD on your account Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Wed, Dec 13, 2017, 3:50 PM
Registration for Portfolio for Spring 2018 Underway PaulPaul Castelin 0 Paul Castelin
Thu, Dec 7, 2017, 2:22 PM
December Deadlines Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Tue, Dec 5, 2017, 12:43 PM
Moodlerooms 3.3 release to be applied to EdTech Sandbox - Dec. 5th , 2017 Edtech_Moodle_supportMoodle Support 0 Moodle Support
Fri, Dec 1, 2017, 11:33 AM
Register for spring classes! Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Wed, Nov 22, 2017, 1:52 PM
Upcoming Deadlines Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Mon, Nov 20, 2017, 11:46 AM
Spring 18 Dates and Deadlines Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Fri, Nov 17, 2017, 11:45 AM
Priority Date for Financial Aid - Feb. 15 Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Wed, Nov 15, 2017, 10:59 AM
December Commencement - Sat. Dec. 16 Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Tue, Nov 14, 2017, 10:45 AM
Learn OneNote Conference Recent work photoTerisa ODowd 3 Terisa ODowd
Sun, Nov 12, 2017, 1:33 PM
Are you attending AECT - Next week in Jacksonville? Patrick LowenthalPatrick Lowenthal 6 Julia Hill
Fri, Nov 3, 2017, 9:13 PM
Windows for Applying For... PaulPaul Castelin 0 Paul Castelin
Fri, Nov 3, 2017, 12:05 PM
Important Deadlines Coming up Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Tue, Oct 31, 2017, 4:29 PM
Students Experiencing Problems with a Hold on Registration PaulPaul Castelin 1 Dixie Conner
Tue, Oct 31, 2017, 4:27 PM
Scholarship Application for spring 18 is open! Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Tue, Oct 31, 2017, 4:24 PM
EDTECH STUDENT SARAH THOMPSON EARNS TEACHER OF THE YEAR HONORS. Picture of Dixie ConnerDixie Conner 1 Joel Hilty-Jones
Mon, Oct 30, 2017, 8:03 PM
EdTech’s Friesen invited to Finnish university Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Mon, Oct 30, 2017, 11:46 AM
Graduation Checklist for May 2018 Graduates PaulPaul Castelin 0 Paul Castelin
Fri, Oct 27, 2017, 3:39 PM
Spring 2018 Portfolio Permission Numbers PaulPaul Castelin 0 Paul Castelin
Fri, Oct 20, 2017, 10:56 AM
Call for Student Artists/Makers Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Thu, Oct 19, 2017, 12:45 PM
Important Upcoming Deadlines Picture of Dixie ConnerDixie Conner 0 Dixie Conner
Mon, Oct 16, 2017, 3:01 PM